Update Org Settings
Updates the organization settings accessible to the user.
Updates the organization settings accessible to the user.
Request
URI
PUT
https://{api_host}/cloudapi/v1/orgSettings
COPY
Request Body
The updated organization settings.
OrganizationSettings
of type(s)
application/json
Required
{
"canCreateSubscribedLibraries": false,
"quarantineContentLibraryItems": false,
"canSubscribeToThirdPartyLibraries": false
}
boolean
canCreateSubscribedLibraries
Optional
Whether the organization can create content libraries that are subscribed to external sources.
boolean
quarantineContentLibraryItems
Optional
Whether to quarantine new content library items for file inspection.
boolean
canSubscribeToThirdPartyLibraries
Optional
Whether the organization can create content libraries that are subscribed to official third-party sources.
Responses
200
OK
Returns
OrganizationSettings
of type(s)
application/json;version=9.1.0
{
"canCreateSubscribedLibraries": false,
"quarantineContentLibraryItems": false,
"canSubscribeToThirdPartyLibraries": false
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Classic"},{"type":"Modern"}]
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/orgSettings
Availability
Added in 9.0.0
On This Page
Organization Settings Operations
GET
Get Org Settings
PUT
Update Org Settings